package com.mysema.commons.jetty;

import org.mortbay.jetty.Server;

public class JettyConfig {

    public JettyConfig() {
    }

    public JettyConfig(int port) {
        this.port = port;
    }

    public JettyConfig(String warPath, String contextPath, int port,
            int securePort) {
        this.warPath = warPath;
        this.contextPath = contextPath;
        this.port = port;
        this.securePort = securePort;
    }

    public JettyConfig(int port, int securePort) {
        this.port = port;
        this.securePort = securePort;
    }

    public String warPath = "src/main/webapp";
    public String contextPath = "/";
    public int port = 8080;
    public int securePort = 0;
    public Server server;

    public JettyConfig setWarPath(String warPath) {
        this.warPath = warPath;
        return this;
    }

    public JettyConfig setContextPath(String contextPath) {
        this.contextPath = contextPath;
        return this;
    }

    public JettyConfig setPort(int port) {
        this.port = port;
        return this;
    }

    public JettyConfig setSecurePort(int securePort) {
        this.securePort = securePort;
        return this;
    }
    
    public JettyConfig setServer(Server server) {
        this.server = server;
        return this;
    }

}
